Subject: Re: pthreads w/ cygwin32
From: [email-masked] (Chris Provenzano)

24 Feb 1998 14:59:12 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (Tom M. Kroeger)
Cc: Sven Dietrich <[email-masked]>, [email-masked]

>Sven Dietrich <[email-masked]> writes:
>
>> 
>> 
>> I have looked at the Pthreads before. Why not try to port those
>> calls to NT's native threads? Those work.

The mapping isn't great and NT limits the number of threads a process
can create to something around 64.

>pthreads was the first draft of the POSIX's user level threads
>standard.  Using the POSIX threads native to NT should work, but
>how do I do this within the cgywin32 development environment?

I'm not sure you want to do this. IMO using the NT POSIX subsystem 
generally doesn't work for anything more than the simplest of applications.

>Re: cygwin32  not being thread safe--
>should this make a difference for user level threads?

Yes, it does. Pthreads is fully preemptable.

I will see about porting pthreads to b19 and getting an alpha out a few
weeks after the b19 release. I did a proof of concept port of pthreads
to b18 so it is possible to get it working. 

CAP
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".